Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class Sender

    java.lang.Object
      net.sf.saxon.event.Sender

public class Sender
extends java.lang.Object

Sender is a helper class that sends events to a Receiver from any kind of Source object

Constructor Summary
`Sender(PipelineConfiguration pipe)`

Method Summary
`static void` | `configureParser(org.xml.sax.XMLReader parser)` Configure a SAX parser to ensure it has the correct namesapce properties set
`void` | `send(javax.xml.transform.Source source, Receiver receiver)` Send the contents of a Source to a Receiver.
`void` | `send(javax.xml.transform.Source source, Receiver receiver, boolean isFinal)` Send the contents of a Source to a Receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sender

    public Sender(PipelineConfiguration pipe)

Method Detail

### send

    public void send(javax.xml.transform.Source source,
                     Receiver receiver)
              throws XPathException

  Send the contents of a Source to a Receiver. Note that if the Source identifies an element node rather than a document node, only the subtree rooted at that element will be copied.

  Parameters:
    `source` - the document or element to be copied
    `receiver` - the destination to which it is to be copied
  Throws:
    `XPathException`

### send

    public void send(javax.xml.transform.Source source,
                     Receiver receiver,
                     boolean isFinal)
              throws XPathException

  Send the contents of a Source to a Receiver. Note that if the Source identifies an element node rather than a document node, only the subtree rooted at that element will be copied.

  Parameters:
    `source` - the document or element to be copied
    `receiver` - the destination to which it is to be copied
    `isFinal` - set to true when the document is being processed purely for the sake of validation, in which case multiple validation errors in the source can be reported.
  Throws:
    `XPathException`

### configureParser

    public static void configureParser(org.xml.sax.XMLReader parser)
                                throws DynamicError

  Configure a SAX parser to ensure it has the correct namesapce properties set

  Throws:
    `DynamicError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD